# Sample Squid Config
# Paul Nasrat <pnasratat_private>

http_port 3128

cache_mem  128 MB

refresh_pattern		^ftp:		1440	20%	10080
refresh_pattern		^gopher:	1440	0%	1440
refresh_pattern 	.		0	20%	4320

acl all src 0.0.0.0/0.0.0.0
acl manager proto cache_object
acl localhost src 127.0.0.1/255.255.255.255
acl SSL_ports port 443 563
acl Safe_ports 80
acl CONNECT method CONNECT

http_access allow manager localhost
http_access deny manager
http_access deny CONNECT !SSL_ports
http_access deny !Safe_ports
http_access allow localhost

httpd_accel_host localhost
httpd_accel_port 80
httpd_accel_with_proxy  off

